org.eclipse.ease.debugging.events

## Class StackFramesEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.StackFramesEvent

All Implemented Interfaces:
  IDebugEvent, IDebuggerEvent

    public class StackFramesEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`StackFramesEvent(List<IScriptDebugFrame> debugFrames, Thread thread)`

### Method Summary

Methods
`List<IScriptDebugFrame>` `getDebugFrames()`
`Thread` `getThread()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StackFramesEvent

    public StackFramesEvent(List<IScriptDebugFrame> debugFrames,
                    Thread thread)

### Method Detail

#### getDebugFrames

    public List<IScriptDebugFrame> getDebugFrames()

#### getThread

    public Thread getThread()